Package com.independentsoft.office.drawing.tableStyles

# Class TableCellBorders

java.lang.Object
com.independentsoft.office.drawing.tableStyles.TableCellBorders

public class TableCellBorders extends Object
The Class TableCellBorders.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TableCellBorders()`
  Instantiates a new table cell borders.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TableCellBorders`
  `clone()`
  `BottomBorder`
  `getBottomBorder()`
  Gets the bottom border.
  `ExtensionList`
  `getExtensionList()`
  Gets the DrawingML extension list (`a:extLst`).
  `InsideHorizontalBorder`
  `getInsideHorizontalBorder()`
  Gets the inside horizontal border.
  `InsideVerticalBorder`
  `getInsideVerticalBorder()`
  Gets the inside vertical border.
  `LeftBorder`
  `getLeftBorder()`
  Gets the left border.
  `RightBorder`
  `getRightBorder()`
  Gets the right border.
  `TopBorder`
  `getTopBorder()`
  Gets the top border.
  `TopLeftBottomRightDiagonalBorder`
  `getTopLeftBottomRightDiagonalBorder()`
  Gets the top left bottom right diagonal border.
  `TopRightBottomLeftDiagonalBorder`
  `getTopRightBottomLeftDiagonalBorder()`
  Gets the top right bottom left diagonal border.
  `void`
  `setBottomBorder​(BottomBorder bottomBorder)`
  Sets the bottom border.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the DrawingML extension list (`a:extLst`).
  `void`
  `setInsideHorizontalBorder​(InsideHorizontalBorder insideHorizontalBorder)`
  Sets the inside horizontal border.
  `void`
  `setInsideVerticalBorder​(InsideVerticalBorder insideVerticalBorder)`
  Sets the inside vertical border.
  `void`
  `setLeftBorder​(LeftBorder leftBorder)`
  Sets the left border.
  `void`
  `setRightBorder​(RightBorder rightBorder)`
  Sets the right border.
  `void`
  `setTopBorder​(TopBorder topBorder)`
  Sets the top border.
  `void`
  `setTopLeftBottomRightDiagonalBorder​(TopLeftBottomRightDiagonalBorder topLeftBottomRightDiagonalBorder)`
  Sets the top left bottom right diagonal border.
  `void`
  `setTopRightBottomLeftDiagonalBorder​(TopRightBottomLeftDiagonalBorder topRightBottomLeftDiagonalBorder)`
  Sets the top right bottom left diagonal border.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TableCellBorders

    public TableCellBorders()
    Instantiates a new table cell borders.

- ## Method Details

  - ### clone

    public TableCellBorders clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the DrawingML extension list (`a:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the DrawingML extension list (`a:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getBottomBorder

    public BottomBorder getBottomBorder()
    Gets the bottom border.
    Returns:
      the bottom border

  - ### setBottomBorder

    public void setBottomBorder​(BottomBorder bottomBorder)
    Sets the bottom border.
    Parameters:
      `bottomBorder` - the new bottom border

  - ### getInsideHorizontalBorder

    public InsideHorizontalBorder getInsideHorizontalBorder()
    Gets the inside horizontal border.
    Returns:
      the inside horizontal border

  - ### setInsideHorizontalBorder

    public void setInsideHorizontalBorder​(InsideHorizontalBorder insideHorizontalBorder)
    Sets the inside horizontal border.
    Parameters:
      `insideHorizontalBorder` - the new inside horizontal border

  - ### getInsideVerticalBorder

    public InsideVerticalBorder getInsideVerticalBorder()
    Gets the inside vertical border.
    Returns:
      the inside vertical border

  - ### setInsideVerticalBorder

    public void setInsideVerticalBorder​(InsideVerticalBorder insideVerticalBorder)
    Sets the inside vertical border.
    Parameters:
      `insideVerticalBorder` - the new inside vertical border

  - ### getLeftBorder

    public LeftBorder getLeftBorder()
    Gets the left border.
    Returns:
      the left border

  - ### setLeftBorder

    public void setLeftBorder​(LeftBorder leftBorder)
    Sets the left border.
    Parameters:
      `leftBorder` - the new left border

  - ### getRightBorder

    public RightBorder getRightBorder()
    Gets the right border.
    Returns:
      the right border

  - ### setRightBorder

    public void setRightBorder​(RightBorder rightBorder)
    Sets the right border.
    Parameters:
      `rightBorder` - the new right border

  - ### getTopLeftBottomRightDiagonalBorder

    public TopLeftBottomRightDiagonalBorder getTopLeftBottomRightDiagonalBorder()
    Gets the top left bottom right diagonal border.
    Returns:
      the top left bottom right diagonal border

  - ### setTopLeftBottomRightDiagonalBorder

    public void setTopLeftBottomRightDiagonalBorder​(TopLeftBottomRightDiagonalBorder topLeftBottomRightDiagonalBorder)
    Sets the top left bottom right diagonal border.
    Parameters:
      `topLeftBottomRightDiagonalBorder` - the new top left bottom right diagonal border

  - ### getTopBorder

    public TopBorder getTopBorder()
    Gets the top border.
    Returns:
      the top border

  - ### setTopBorder

    public void setTopBorder​(TopBorder topBorder)
    Sets the top border.
    Parameters:
      `topBorder` - the new top border

  - ### getTopRightBottomLeftDiagonalBorder

    public TopRightBottomLeftDiagonalBorder getTopRightBottomLeftDiagonalBorder()
    Gets the top right bottom left diagonal border.
    Returns:
      the top right bottom left diagonal border

  - ### setTopRightBottomLeftDiagonalBorder

    public void setTopRightBottomLeftDiagonalBorder​(TopRightBottomLeftDiagonalBorder topRightBottomLeftDiagonalBorder)
    Sets the top right bottom left diagonal border.
    Parameters:
      `topRightBottomLeftDiagonalBorder` - the new top right bottom left diagonal border